\section{Requirements}
\label{sec:requirements}

% TODO(rgcv): Write proper requirements
\begin{enumerate}
  \item Confidentiality - sensitive data, such as the SMS themselves, should
        only be decipherable by the server and the communicating client.
  \label{enum:requirements.confidentiality}
  
  \item Authenticity - exchanged messages should be signed and the signatures
        should be validated by the exchange's participants, resorting to a
        trusted CA to retrieve the entities' certificates.
  \label{enum:requirements.authenticity}

  \item Integrity - exchanged messages' contents must be preserved and be
        verifiable by the receiving entity.
  \label{enum:requirements.integrity}
  
  \item Freshness - to avoid replayability of transactions.
  \label{enum:requirements.freshness}

  \item Non-repudiation - a client won't be able to deny that he performed a
        certain transaction.
  \label{enum:requirements.non-repudiation}
\end{enumerate}
